NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent Class Reference

Represents the event data for a create geometry callback for a custom feature More...

Inheritance diagram for NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent:
NXOpen.Features.CustomFeatureEvent NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AppendOutputTrackingData (NXOpen.Features.TrackingData[] trackingData)
 Adds the tracking data for a feature More...
 
unsafe void CopyNXBody (NXOpen.Body solidTag, out NXOpen.Features.CustomFeatureEvent.ParasolidId parasolidBodyId, out NXOpen.Face[] sourceFaces, out NXOpen.Features.CustomFeatureEvent.ParasolidId[] parasolidFaceIds, out NXOpen.Edge[] sourceEdges, out NXOpen.Features.CustomFeatureEvent.ParasolidId[] parasolidEdgeId)
 Creates a Parasolid copy of an NX Body More...
 
unsafe NXOpen.Features.TrackingData CreateTrackingDataForNXObject (NXOpen.TaggedObject nxObject)
 Creates the tracking data for an NX object More...
 
unsafe NXOpen.Features.TrackingData CreateTrackingDataForParasolidEntity (NXOpen.Features.CustomFeatureEvent.ParasolidId parasolidId)
 Creates the tracking data for a Parasolid face or edge id More...
 
unsafe
NXOpen.Features.CustomFeatureEvent.ParasolidId[] 
GetBodies ()
 Gets the Parasolid bodies of a custom feature More...
 
unsafe void SetBodies (NXOpen.Features.CustomFeatureEvent.ParasolidId[] bodies)
 Sets the Parasolid bodies of a custom feature More...
 
- Public Member Functions inherited from NXOpen.Features.CustomFeatureEvent
unsafe
NXOpen.Features.ConstructionFeatureData[] 
GetConstructionFeatures ()
 Get construction features of custom feature More...
 
unsafe
NXOpen.Features.CustomFeature 
GetCustomFeature ()
 Get the custom feature of the event More...
 
unsafe NXOpen.DisplayableObject GetNXObject (NXOpen.Features.CustomFeatureEvent.ParasolidId parasolidId)
 Returns the Solid body More...
 
unsafe
NXOpen.Features.OutputFeatureData[] 
GetOutputFeatures ()
 Get output features of custom feature More...
 
unsafe
NXOpen.Features.CustomFeatureEvent.ParasolidId 
GetParasolidId (NXOpen.DisplayableObject solidTag)
 Get the Parasolid tag of Solid body More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.Features.CustomFeatureEvent
enum  ParasolidId
  More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Features.CustomFeatureEvent
unsafe int ErrorCode [get, set]
 Returns or sets the error occured during the event More...
 

Detailed Description

Represents the event data for a create geometry callback for a custom feature

Only create the geometry here and specify tracking. Addition of the attributes and any dependency can be done in NXOpen.Features.CustomFeaturePostUpdateEvent .

This class cannot be created

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent.AppendOutputTrackingData ( NXOpen.Features.TrackingData[]  trackingData)
inline

Adds the tracking data for a feature

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
trackingData
unsafe void NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent.CopyNXBody ( NXOpen.Body  solidTag,
out NXOpen.Features.CustomFeatureEvent.ParasolidId  parasolidBodyId,
out NXOpen.Face[]  sourceFaces,
out NXOpen.Features.CustomFeatureEvent.ParasolidId[]  parasolidFaceIds,
out NXOpen.Edge[]  sourceEdges,
out NXOpen.Features.CustomFeatureEvent.ParasolidId[]  parasolidEdgeId 
)
inline

Creates a Parasolid copy of an NX Body

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
solidTag
parasolidBodyIdThe Parasolid id of copied body
sourceFacesThe array of source faces
parasolidFaceIdsThe array of corresponding copied Parasolid faces
sourceEdgesThe array of source edges
parasolidEdgeIdThe array of corresponding copied Parasolid edges
unsafe NXOpen.Features.TrackingData NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent.CreateTrackingDataForNXObject ( NXOpen.TaggedObject  nxObject)
inline

Creates the tracking data for an NX object

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
nxObjectThe NX object for creating tracking data
Returns
unsafe NXOpen.Features.TrackingData NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent.CreateTrackingDataForParasolidEntity ( NXOpen.Features.CustomFeatureEvent.ParasolidId  parasolidId)
inline

Creates the tracking data for a Parasolid face or edge id

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
parasolidIdThe Parasolid id of entity for creating tracking data
Returns
unsafe NXOpen.Features.CustomFeatureEvent.ParasolidId [] NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent.GetBodies ( )
inline

Gets the Parasolid bodies of a custom feature

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
The Array of output Bodies
unsafe void NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent.SetBodies ( NXOpen.Features.CustomFeatureEvent.ParasolidId[]  bodies)
inline

Sets the Parasolid bodies of a custom feature

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
bodiesThe Array of input Bodies

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.